package com.gtiit.shr.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;


/**
 * 部门信息表
 */
@TableName("CT_SHR_DEPARTMENT")
public class DeptInfoVo implements Serializable {
    @TableId(
            type = IdType.INPUT
    )
    private String id;
    @TableField("ORGANIZATION_CODE")
    private String organizationCode;
    @TableField("ORGANIZATION_NAME_EN")
    private String organizationNameEn;
    @TableField("ORGANIZATION_NAME_CN")
    private String organizationNameCn;
    @TableField("ORGANIZATION_SHORT_NAME")
    private String organizationShortName;
    @TableField("DEPARTMENT_HEAD_PERSON_NUMBER")
    private String departmentHeadPersonNumber;
    @TableField("DEPARTMENT_HEAD_NAME")
    private String departmentHeadName;
    @TableField("PVC_PERSON_NUMBER")
    private String pvcPersonNumber;
    @TableField("PVC_NAME")
    private String pvcName;
    @TableField("ERP_CREATION_DATE")
    private String erpCreationDate;
    @TableField("ERP_LAST_UPDATE_DATE")
    private String erpLastUpdateDate;
//    @TableField("SHR_ID")
//    private String shrId;

    public DeptInfoVo() {
    }

    public String getId() {
        return this.id;
    }

    public String getOrganizationCode() {
        return this.organizationCode;
    }

    public String getOrganizationNameEn() {
        return this.organizationNameEn;
    }

    public String getOrganizationNameCn() {
        return this.organizationNameCn;
    }

    public String getOrganizationShortName() {
        return this.organizationShortName;
    }

    public String getDepartmentHeadPersonNumber() {
        return this.departmentHeadPersonNumber;
    }

    public String getDepartmentHeadName() {
        return this.departmentHeadName;
    }

    public String getPvcPersonNumber() {
        return this.pvcPersonNumber;
    }

    public String getPvcName() {
        return this.pvcName;
    }

    public String getErpCreationDate() {
        return this.erpCreationDate;
    }

    public String getErpLastUpdateDate() {
        return this.erpLastUpdateDate;
    }

//    public String getShrId() {
//        return this.shrId;
//    }

    public void setId(final String id) {
        this.id = id;
    }

    public void setOrganizationCode(final String organizationCode) {
        this.organizationCode = organizationCode;
    }

    public void setOrganizationNameEn(final String organizationNameEn) {
        this.organizationNameEn = organizationNameEn;
    }

    public void setOrganizationNameCn(final String organizationNameCn) {
        this.organizationNameCn = organizationNameCn;
    }

    public void setOrganizationShortName(final String organizationShortName) {
        this.organizationShortName = organizationShortName;
    }

    public void setDepartmentHeadPersonNumber(final String departmentHeadPersonNumber) {
        this.departmentHeadPersonNumber = departmentHeadPersonNumber;
    }

    public void setDepartmentHeadName(final String departmentHeadName) {
        this.departmentHeadName = departmentHeadName;
    }

    public void setPvcPersonNumber(final String pvcPersonNumber) {
        this.pvcPersonNumber = pvcPersonNumber;
    }

    public void setPvcName(final String pvcName) {
        this.pvcName = pvcName;
    }

    public void setErpCreationDate(final String erpCreationDate) {
        this.erpCreationDate = erpCreationDate;
    }

    public void setErpLastUpdateDate(final String erpLastUpdateDate) {
        this.erpLastUpdateDate = erpLastUpdateDate;
    }

//    public void setShrId(final String shrId) {
//        this.shrId = shrId;
//    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof DeptInfoVo)) {
            return false;
        } else {
            DeptInfoVo other = (DeptInfoVo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label155: {
                    Object this$id = this.getId();
                    Object other$id = other.getId();
                    if (this$id == null) {
                        if (other$id == null) {
                            break label155;
                        }
                    } else if (this$id.equals(other$id)) {
                        break label155;
                    }

                    return false;
                }

                Object this$organizationCode = this.getOrganizationCode();
                Object other$organizationCode = other.getOrganizationCode();
                if (this$organizationCode == null) {
                    if (other$organizationCode != null) {
                        return false;
                    }
                } else if (!this$organizationCode.equals(other$organizationCode)) {
                    return false;
                }

                Object this$organizationNameEn = this.getOrganizationNameEn();
                Object other$organizationNameEn = other.getOrganizationNameEn();
                if (this$organizationNameEn == null) {
                    if (other$organizationNameEn != null) {
                        return false;
                    }
                } else if (!this$organizationNameEn.equals(other$organizationNameEn)) {
                    return false;
                }

                label134: {
                    Object this$organizationNameCn = this.getOrganizationNameCn();
                    Object other$organizationNameCn = other.getOrganizationNameCn();
                    if (this$organizationNameCn == null) {
                        if (other$organizationNameCn == null) {
                            break label134;
                        }
                    } else if (this$organizationNameCn.equals(other$organizationNameCn)) {
                        break label134;
                    }

                    return false;
                }

                label127: {
                    Object this$organizationShortName = this.getOrganizationShortName();
                    Object other$organizationShortName = other.getOrganizationShortName();
                    if (this$organizationShortName == null) {
                        if (other$organizationShortName == null) {
                            break label127;
                        }
                    } else if (this$organizationShortName.equals(other$organizationShortName)) {
                        break label127;
                    }

                    return false;
                }

                label120: {
                    Object this$departmentHeadPersonNumber = this.getDepartmentHeadPersonNumber();
                    Object other$departmentHeadPersonNumber = other.getDepartmentHeadPersonNumber();
                    if (this$departmentHeadPersonNumber == null) {
                        if (other$departmentHeadPersonNumber == null) {
                            break label120;
                        }
                    } else if (this$departmentHeadPersonNumber.equals(other$departmentHeadPersonNumber)) {
                        break label120;
                    }

                    return false;
                }

                Object this$departmentHeadName = this.getDepartmentHeadName();
                Object other$departmentHeadName = other.getDepartmentHeadName();
                if (this$departmentHeadName == null) {
                    if (other$departmentHeadName != null) {
                        return false;
                    }
                } else if (!this$departmentHeadName.equals(other$departmentHeadName)) {
                    return false;
                }

                label106: {
                    Object this$pvcPersonNumber = this.getPvcPersonNumber();
                    Object other$pvcPersonNumber = other.getPvcPersonNumber();
                    if (this$pvcPersonNumber == null) {
                        if (other$pvcPersonNumber == null) {
                            break label106;
                        }
                    } else if (this$pvcPersonNumber.equals(other$pvcPersonNumber)) {
                        break label106;
                    }

                    return false;
                }

                Object this$pvcName = this.getPvcName();
                Object other$pvcName = other.getPvcName();
                if (this$pvcName == null) {
                    if (other$pvcName != null) {
                        return false;
                    }
                } else if (!this$pvcName.equals(other$pvcName)) {
                    return false;
                }

                label92: {
                    Object this$erpCreationDate = this.getErpCreationDate();
                    Object other$erpCreationDate = other.getErpCreationDate();
                    if (this$erpCreationDate == null) {
                        if (other$erpCreationDate == null) {
                            break label92;
                        }
                    } else if (this$erpCreationDate.equals(other$erpCreationDate)) {
                        break label92;
                    }

                    return false;
                }

                Object this$erpLastUpdateDate = this.getErpLastUpdateDate();
                Object other$erpLastUpdateDate = other.getErpLastUpdateDate();
                if (this$erpLastUpdateDate == null) {
                    if (other$erpLastUpdateDate != null) {
                        return false;
                    }
                } else if (!this$erpLastUpdateDate.equals(other$erpLastUpdateDate)) {
                    return false;
                }

                Object this$shrId = this.getId();
                Object other$shrId = other.getId();
                if (this$shrId == null) {
                    if (other$shrId != null) {
                        return false;
                    }
                } else if (!this$shrId.equals(other$shrId)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof DeptInfoVo;
    }

    public int hashCode() {
        boolean PRIME = true;
        int result = 1;
        Object $id = this.getId();
        result = result * 59 + ($id == null ? 43 : $id.hashCode());
        Object $organizationCode = this.getOrganizationCode();
        result = result * 59 + ($organizationCode == null ? 43 : $organizationCode.hashCode());
        Object $organizationNameEn = this.getOrganizationNameEn();
        result = result * 59 + ($organizationNameEn == null ? 43 : $organizationNameEn.hashCode());
        Object $organizationNameCn = this.getOrganizationNameCn();
        result = result * 59 + ($organizationNameCn == null ? 43 : $organizationNameCn.hashCode());
        Object $organizationShortName = this.getOrganizationShortName();
        result = result * 59 + ($organizationShortName == null ? 43 : $organizationShortName.hashCode());
        Object $departmentHeadPersonNumber = this.getDepartmentHeadPersonNumber();
        result = result * 59 + ($departmentHeadPersonNumber == null ? 43 : $departmentHeadPersonNumber.hashCode());
        Object $departmentHeadName = this.getDepartmentHeadName();
        result = result * 59 + ($departmentHeadName == null ? 43 : $departmentHeadName.hashCode());
        Object $pvcPersonNumber = this.getPvcPersonNumber();
        result = result * 59 + ($pvcPersonNumber == null ? 43 : $pvcPersonNumber.hashCode());
        Object $pvcName = this.getPvcName();
        result = result * 59 + ($pvcName == null ? 43 : $pvcName.hashCode());
        Object $erpCreationDate = this.getErpCreationDate();
        result = result * 59 + ($erpCreationDate == null ? 43 : $erpCreationDate.hashCode());
        Object $erpLastUpdateDate = this.getErpLastUpdateDate();
        result = result * 59 + ($erpLastUpdateDate == null ? 43 : $erpLastUpdateDate.hashCode());
        Object $shrId = this.getId();
        result = result * 59 + ($shrId == null ? 43 : $shrId.hashCode());
        return result;
    }

    public String toString() {
        return "DeptInfoVo(id=" + this.getId() + ", organizationCode=" + this.getOrganizationCode() + ", organizationNameEn=" + this.getOrganizationNameEn() + ", organizationNameCn=" + this.getOrganizationNameCn() + ", organizationShortName=" + this.getOrganizationShortName() + ", departmentHeadPersonNumber=" + this.getDepartmentHeadPersonNumber() + ", departmentHeadName=" + this.getDepartmentHeadName() + ", pvcPersonNumber=" + this.getPvcPersonNumber() + ", pvcName=" + this.getPvcName() + ", erpCreationDate=" + this.getErpCreationDate() + ", erpLastUpdateDate=" + this.getErpLastUpdateDate() + ")";
    }
}
